%def_with ldap
%def_with sasl
%def_enable ext_env
%def_disable mount_locking
%def_enable ignore_busy
%def_enable forced_shutdown
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

Name: autofs
Version: 5.0.3
Release: alt1.1
Summary: A tool for automatically mounting and unmounting filesystems
License: %gpl2plus
Group: System/Kernel and hardware
Url: ftp://ftp.kernel.org/pub/linux/daemons/%name/v5/
Source0: %url%name-%version.tar.bz2
Source1: %name.init
Source2: %name.sysconfig
Source3: auto.master
Patch0: %name-5.0.3-makefile.patch
Patch1: %name-5.0.3-ldap-page-control-configure-fix.patch
Patch2: %name-5.0.3-xfn-not-supported.patch
Patch3: %name-5.0.3-basedn-with-spaces-fix-3.patch
Patch4: %name-5.0.3-nfs4-tcp-only.patch
Patch5: %name-5.0.3-correct-ldap-lib.patch
Patch6: %name-5.0.3-dont-fail-on-empty-master-fix-2.patch
Patch7: %name-5.0.3-expire-works-too-hard.patch
Patch8: %name-5.0.3-unlink-mount-return-fix.patch
Patch9: %name-5.0.3-handle-zero-length-nis-key.patch
Patch10: %name-5.0.2-init-cb-on-load.patch
Patch11: %name-5.0.3-map-type-in-map-name.patch
Patch12: %name-5.0.3-mount-thread-create-cond-handling.patch
Patch13: %name-5.0.3-check-for-kernel-automount.patch
Patch14: %name-5.0.3-nss-source-any.patch
Requires(post,preun): chkconfig
Provides: automount = %version-%release

# Automatically added by buildreq on Thu May 22 2008
#BuildRequires: flex libcom_err-devel libkrb5-devel libldap-devel libssl-devel libxml2-devel module-init-tools

BuildRequires: flex module-init-tools /proc
BuildRequires: rpm-build-licenses
%if_with ldap
BuildRequires: libldap-devel libxml2-devel
%{?_with_sasl:BuildRequires: libsasl2-devel libkrb5-devel libcom_err-devel libssl-devel}
%endif

%description
Autofs controls the operation of the automount daemons.  The automount daemons
automatically mount filesystems when you use them and unmount them after a
period of inactivity.  Filesystems can include network filesystems, CD-ROMs,
floppies and others.
Install this package if you want a program for automatically mounting and
unmounting filesystems.


%if_with ldap
%package ldap
Summary: A tool for automatically mounting and unmounting filesystems
Group: System/Kernel and hardware
Requires: %name = %version-%release 
Provides: automount-ldap = %version-%release 

%description ldap
Autofs controls the operation of the automount daemons.  The automount daemons
automatically mount filesystems when you use them and unmount them after a
period of inactivity.  Filesystems can include network filesystems, CD-ROMs,
floppies and others.
This package adds LDAP support to the %name package
%endif


%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1


%build
%ifarch x86_64 k8 nocona
%add_optflags %optflags_shared
%endif
%autoreconf
%configure \
%if_with ldap
    --with-openldap=%prefix \
%else
    --without-openldap \
%endif
%if_with sasl
    --with-sasl=%prefix \
%else
    --without-sasl \
%endif
    %{subst_enable_to ext_env ext-env} \
    %{subst_enable_to mount_locking mount-locking} \
    %{subst_enable_to ignore_busy ignore-busy} \
    %{subst_enable_to forced_shutdown forced-shutdown}

%{?_with_sasl:export CFLAGS="$CFLAGS $(krb5-config --cflags)"}
%make_build DONTSTRIP=1
bzip2 --best --keep --force CHANGELOG


%install
%make_install INSTALLROOT=%buildroot initdir=%_initdir install
install -m 0755 %SOURCE1 %buildroot%_initdir/%name
install -m 0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
install -m 0644 %SOURCE3 %buildroot%_sysconfdir/auto.master
touch %buildroot%_sysconfdir/auto.misc
echo -e "#/media\t/etc/auto.misc" > %buildroot%_sysconfdir/auto.tab
install -d -m 0755 %buildroot%_docdir/%name-%version/samples
install -m 0644 CHANGELOG.* CREDITS COPYRIGHT README* %buildroot%_docdir/%name-%version/
install -m 0644 samples/{auto.{master,misc,net,smb},%name.{conf.default,schema}%{?_with_ldap:,*ldap*}} %buildroot%_docdir/%name-%version/samples/


%post
%post_service %name


%preun
%preun_service %name
%triggerun -- %name < 5.0.1
[ $2 -gt 0 ] || exit 0
/sbin/start-stop-daemon --stop --quiet --signal USR2 --retry 5 --exec /usr/sbin/automount && /sbin/service %name start ||:


%files
%_docdir/%name-%version
%config(noreplace) %_initdir/*
%config(noreplace) %_sysconfdir/auto.master
%config(noreplace) %_sysconfdir/auto.tab
%config(noreplace) %_sysconfdir/auto.misc
%config(noreplace) %_sysconfdir/auto.net
%config(noreplace,missingok) %_sysconfdir/auto.smb
%config(noreplace) %_sysconfdir/sysconfig/%name
%dir %_libdir/%name
%_libdir/%name/*
%if_with ldap
%exclude %_libdir/%name/*ldap*
%exclude %_docdir/%name-%version/samples/*ldap*
%endif
%_sbindir/*
%_man5dir/*
%_man8dir/*


%if_with ldap
%files ldap
%_docdir/%name-%version/samples/*ldap*
%_sysconfdir/%{name}_ldap_auth.conf
%_libdir/%name/*ldap*
%endif


%changelog
* Fri May 23 2008 Led <led@altlinux.ru> 5.0.3-alt1.1
- rebuild

* Thu May 22 2008 Led <led@altlinux.ru> 5.0.3-alt0.3
- added from Fedora:
  + %name-5.0.3-ldap-page-control-configure-fix.patch
  + %name-5.0.3-xfn-not-supported.patch
  + %name-5.0.3-basedn-with-spaces-fix-3.patch
  + %name-5.0.3-nfs4-tcp-only.patch
  + %name-5.0.3-correct-ldap-lib.patch
  + %name-5.0.3-dont-fail-on-empty-master-fix-2.patch
  + %name-5.0.3-expire-works-too-hard.patch
  + %name-5.0.3-unlink-mount-return-fix.patch
  + %name-5.0.3-handle-zero-length-nis-key.patch
  + %name-5.0.2-init-cb-on-load.patch
  + %name-5.0.3-map-type-in-map-name.patch
  + %name-5.0.3-mount-thread-create-cond-handling.patch
  + %name-5.0.3-check-for-kernel-automount.patch
  + %name-5.0.3-nss-source-any.patch
- build with:
  + sasl
  + ldap

* Thu May 22 2008 Led <led@altlinux.ru> 5.0.3-alt0.2
- updated %name-5.0.3-makefile.patch

* Wed May 21 2008 Led <led@altlinux.ru> 5.0.3-alt0.1
- 5.0.3
- fixed License
- fixed Url
- added %name-5.0.3-makefile.patch
- updated BuildRequires

* Sat Feb 24 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 5.0.1-alt1
- 5.0.1 released

* Mon Jan  1 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 5.0.1-alt0.2
- 5.0.1rc2
- built w/o ldap

* Mon Jun 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.1.4-alt0.3.1
- Rebuilt with libldap-2.3.so.0.

* Sun May  8 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.1.4-alt0.3
- 4.1.4

* Mon Jul  5 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.1.3-alt0.3
- adjust_autofs: do not pretend to mountpoints assigned to subfs

* Thu Jun 10 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.1.3-alt0.2
- patches added:
  + autofs-4.1.3-mtab_lock.patch
  + autofs-4.1.3-strict.patch
  + autofs-4.1.3-icmp_ping.patch

* Tue May 25 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.1.3-alt0.1
- 4.1.3

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0.0-alt0.6.pre10
- Added support for quiet mount option

* Mon Dec 30 2002 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.5.pre10
- Added %_sbindir/adjust_autofs (from initscripts).

* Tue Dec 17 2002 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.4.pre10
- Add skipstart support in startup script (required for fix #0000530).

* Fri Jan 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.0.0-alt0.3.pre10
- Enable by default, added TABFILE option, added tabfile check.

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0.0-alt0.2.pre10
- Updated startup script.
- Dropped openldap for a while.

* Fri Jun 15 2001 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.1
- ALT Linux adaptations
- Manually edited shell requires (the script sucked ypcat in)
- Fixed an ugliness in the init script patch

* Mon Jun 11 2001 Vincent Saugey <vince@mandrakesoft.com> 4.0.0-0.9mdk
- rebuild with ldap2 lib

* Tue Apr 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 4.0.0-0.8mdk
- new version (pre10)

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.7mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.6mdk
- removed /misc and /net

* Mon Nov  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 4.0.0-0.5mdk
- new version
- updated patches and init script

* Tue Sep  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.4mdk
- use condrestart on upgrade.
- enabled again init patch to have a condrestart and to have a start at 18 level.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0.0-0.3mdk
- rebuild for the user of _initrddir macro.

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.0-0.2mdk
- rebuild to get rid of "if your Red Hat Linux machine is.."
  thanks to Anton Graham <darkimage@bigfoot.com>

* Thu Aug 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.0-0.1mdk
- 4.0.0pre7

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.5-1mdk
- 3.1.5
- BM
- macroqeivhqowicvjzificationning

* Fri Apr 28 2000 Warly <warly@mandrakesoft.com> 3.1.4-4mdk
- change rc.init value to S72 K08

* Tue Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.4-3mdk
- fix wrong date.
- 3.1.4 (new release).
- remove ugly patches.
- add smbmount support.

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- strip

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable $SMP build/check

* Wed Oct  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- checkconfig --del in %preun, not %postun (rh).
- add patch from HJLu to handle NIS auto.master better (rh).

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Forgot to fix the bloody permissions :/

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- remove rc patch it's breaking yp
- again with the redhat mergeings:
	* Wed Aug 25 16:00:00 1999 Cristian Gafton <gafton@redhat.com>
	- fix bug #4708
	* Sat Aug 21 16:00:00 1999 Bill Nottingham <notting@redhat.com>
	- fix perms on /usr/lib/autofs/*
	- add support for specifying maptype in auto.master

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- RedHat Merge:
	* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
	- add patch from rth to avoid an infinite loop

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Patch from H.J Lu <hjl@varesearch.com> :
	-* fix rc script for /var/lock/subsys.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- enahanced initscript to try to load maps over NIS
- changed the mount point back to misc (there is a reason we leave /mnt
  alone)
- patched back autofs.misc to the version shipped on 5.2 to avoid replacing
  yet one more config file for those who upgrade

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.1.3, fixing smbfs stuff and other things
- changed mountpoint from /misc to /mnt

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 10)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- build for kernel-2.2/glibc2.1

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in init script

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- typo in man page.

* Mon Jul 20 1998 Jeff Johnson <jbj@redhat.com>
- added sparc to ExclusiveArch.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.1.1

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Fri Dec 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- Link with -lnsl for glibc compliance.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- exclusivearch for i386 for now, since our kernel packages on
  other platforms don't include autofs yet.
- improvements to initscripts.

* Thu Oct 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- Built package from 0.3.14 for 5.0

